# padtemplate.h File Reference

`#include <glibmm.h>`
`#include <gst/gstpad.h>`
`#include <gst/gstpadtemplate.h>`
`#include <gstreamermm/object.h>`
`#include <gstreamermm/pad.h>`

Go to the source code of this file.

## Classes

class | Gst::PadTemplate
| Gst::PadTemplate - Describe the media type of a pad. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::PadTemplateFlags { Gst::PAD_TEMPLATE_FIXED = GST_OBJECT_FLAG_LAST << 0, Gst::PAD_TEMPLATE_LAST = GST_OBJECT_FLAG_LAST << 4 }
enum | Gst::PadPresence { Gst::PAD_ALWAYS, Gst::PAD_SOMETIMES, Gst::PAD_REQUEST }